#import pymongo
import datetime
import logging
#import redis
#import traceback

LP_OUT_QUEUE="bzr-fetch"

BZR_IN_QUEUE = "bzr-fetch"
BZR_OUT_QUEUE = "charm-store"

STORE_IN_QUEUE='charm-store'
STORE_OUT_QUEUE='charm-proof'

PROOF_IN_QUEUE='charm-proof'
PROOF_OUT_QUEUE='charm-log'

CHANGELOG_IN_QUEUE="charm-log"
CHANGELOG_OUT_QUEUE="charm-scan"

log = logging.getLogger('charm.pipeline')

class RoutePipe(object):

    def __init__(self, name, redis, db):
        self.name = name
        self.redis = redis
        self.db = db
        self.log = logging.getLogger("charm.%s" % self.name)

    def start(self):
        self.log.debug('start')
        self.start()

    def error(self, pipe_data, e):
        self.log.exception("error on %s: %s", str(pipe_data),  str(e))
        pipe_data['route-pipe'] = self.name
        pipe_data['error-time'] = datetime.datetime.now()
        self.log.error(pipe_data)
        self.db['ingest_errors'].insert(pipe_data)

    def _run(self):
        self.run()
